Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225776

Summary: Merge Review: gamin
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: gaminAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: 23CC: alexl, mattdm, mclasen, pbrobinson
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gamin-0.1.10-7.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-04 12:15:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
cleaned up spec, silences most of rpmlint complains none

Description Nobody's working on this, feel free to take it 2007-01-31 18:40:33 UTC
Fedora Merge Review: gamin

http://cvs.fedora.redhat.com/viewcvs/devel/gamin/
Initial Owner: alexl@redhat.com

Comment 1 manuel wolfshant 2009-01-04 03:21:12 UTC
I happened to stumble on gamin yesterday so I figured I could do a bit of cleanup and finish the merge review as well.

I am submitting the new version as an attachment. I have also added Tomas to the CC: list because PKGDB shows him as primary maintainer in devel.

Issues that might still be needed to be fixed:
- the license: in July,  Spot changed the license tag to LGPLv2. However at least one file is GPLv2 so I think that the whole package should therefore be considered GPLv2. I have added a comment about that (but left the tag as it was, as most probably Spot knows better)
- I have removed the exec bit on the .py files included as doc in gamin-python and I have also solved the rpath issue which was triggered by _gamin.so. Most of the warnings from rpmlint are now gone, but two of them are still there:
   gamin-python.x86_64: E: non-executable-script /usr/lib64/python2.6/site-packages/gamin.py 0644
   gamin-python.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.6/site-packages/_gamin.a
 Most probably gamin.py does not need to be executable because (if I have correctly undestood the docs) it is meant to be imported by other scripts. OTOH I have no idea if _gamin.a is needed and if it is, if it should be packaged in -devel or in -python.

Comment 2 manuel wolfshant 2009-01-04 03:22:29 UTC
Created attachment 328123 [details]
cleaned up spec, silences most of rpmlint complains

Comment 3 Tomáš Bžatek 2009-12-21 13:43:32 UTC
Thanks for the review, Manuel, I've incorporated most of your notes. The only thing I disagree with are executable flags on .py doc files. These can be run directly and do their work.

About licensing: I left it as LGPLv2 as long the COPYING file is LGPL as well. Otherwise, it's a mixture of GPLv2, LGPLv2, LGPLv2+ and LGPLv2.1.

Built as gamin-0.1.10-6.fc13

Comment 4 manuel wolfshant 2009-12-21 14:19:55 UTC
any particular reason to use %makeinstall instead of the more recommended %make install (I have tested   make install DESTDIR=%{buildroot} INSTALL="install -p"   and it works without problems) ?

Comment 5 Tomáš Bžatek 2010-03-03 17:35:22 UTC
(In reply to comment #4)
> any particular reason to use %makeinstall instead of the more recommended %make
> install (I have tested   make install DESTDIR=%{buildroot} INSTALL="install -p"
>   and it works without problems) ?    
Fixed in gamin-0.1.10-7.fc13 and gamin-0.1.10-7.fc14
I've also made some other small improvements.

Comment 6 manuel wolfshant 2010-03-04 23:55:37 UTC
rpm -qp --requires  gamin-python-0.1.10-7.fc14.x86_64.rpm
gives
/usr/bin/python
gamin = 0.1.10-7.fc14
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libgamin-1.so.0()(64bit)
python(abi) = 2.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1


Question 1: Is it really intended to have /usr/bin/python in the list of dependencies ? python(abi) = 2.6 should be enough, shouldn't it ?

Question 2: In addition to that, rpmlint is quite unhappy with the scripts placed below /usr/share/doc/gamin-python-0.1.10, all of the python ones are flagged as having spurious-executable-perm and doc-file-dependency on /usr/bin/python. I guess we should ignore those warnings as the very reason of the package is to provide those scripts. Right ?

Comment 7 Cole Robinson 2015-02-11 20:36:31 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 8 Jan Kurik 2015-07-15 15:26:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Peter Robinson 2015-11-04 12:15:49 UTC
I believe everything of note has been addressed so closing this